#ifndef JADEWIN_H
#define JADEWIN_H


#include "RMWin.h"

class JadeWin : public RMWin
{
public:
	JadeWin();
	BOOL CreateScene();
	static void MoveFrame(LPDIRECT3DRMFRAME frame, void*, D3DVALUE);
	static void MoveTexture(LPDIRECT3DRMFRAME frame, void*, D3DVALUE);
protected:
	//{{AFX_MSG(JadeWin)
	afx_msg void OnRenderWireframe();
	afx_msg void OnRenderFlat();
	afx_msg void OnRenderGouraud();
	afx_msg void OnUpdateRenderFlat(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRenderGouraud(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRenderWireframe(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	LPDIRECT3DRMMESHBUILDER meshbuilder;
};


#endif
